org.cpsolver.ifs.assignment

## Class ValueComparator<V extends Variable<V,T>,T extends Value<V,T>>

- java.lang.Object
- - org.cpsolver.ifs.assignment.AssignmentComparator<T,V,T>
  - - org.cpsolver.ifs.assignment.ValueComparator<V,T>

- Type Parameters:
    `V` - Variable
    `T` - Value
  All Implemented Interfaces:
    Comparator<T>

      public class ValueComparator<V extends Variable<V,T>,T extends Value<V,T>>
      extends AssignmentComparator<T,V,T>

  A simple class comparing two values. Using `Value.compareTo(Assignment, Value)`. This is to replace the `Comparable` interface on the `Value` which is using the deprecated method `Value.compareTo(Value)`.
  Version:
    IFS 1.3 (Iterative Forward Search)
    Copyright (C) 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses.
  Author:
    Tomáš Müller
  See Also:
    `Assignment`, `Solver`

- - ### Field Summary

    - ### Fields inherited from class org.cpsolver.ifs.assignment.AssignmentComparator

      `iAssignment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueComparator(Assignment<V,T> assignment)`

  - ### Method Summary

    - ### Methods inherited from class org.cpsolver.ifs.assignment.AssignmentComparator

      `compare`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### ValueComparator

          public ValueComparator(Assignment<V,T> assignment)